Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030084
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2015-06-03 16:352015-09-25 13:14
ReporteraaroncaleroView Statuspublic 
Assigned Toaaroncalero 
PrioritynormalResolutionfixedFixed in VersionRR15Q4
StatusclosedFix in branchFixed in SCM revision417081417db5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030084: It is possible to skip the OBPOS_approval.deleteLine approval in several cases

DescriptionIs is possible to skip the approval to delete lines using different flows.
Steps To ReproduceHaving a manual role with the OBPOS_approval.deleteLine set to 'N'
Create a ticket in web POS and then:
a) Add a product > Undo
with normal tickets:
b) Line with negative qty/Return Line > button ‘+’ until qty = 0
c) Line with negative qty/Return Line > write qty > button ‘+’
d) Line with negative qty/Return Line > Add products until qty = 0
With return tickets:
e) Line with negative qty > button ‘-’ until qty = 0
f) Line with negative qty > Write qty > button ‘-’

Until 30075 is fixed, also:
g) Line with positive qty >button ‘+’ until qty = 0
h) Line with positive qty > Write qty > button ‘+’
i) Line with positive qty > Add products until qty = 0

All steps can be used to delete the line without the approval
Proposed SolutionAll mentiones cases should require approval if the user doesn't have permission to delete lines.
TagsNo tags attached.
Attached Filesdiff file icon issue30084.diff [^] (5,804 bytes) 2015-06-04 12:49 [Show Content]
diff file icon Test30084.diff [^] (14,357 bytes) 2015-06-04 12:49 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0030075pi closedaaroncalero Return tickets should not be able to contain positive lines 
blocks feature request 0030094 closedaaroncalero Be able to configure Web POS not to delete the receipts 

-  Notes
(0080065)
hgbot (developer)
2015-09-04 09:16

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 417081417db5ed7cba8a98f4a656d9ee62a820e3
Author: Aaron Calero <aaron.calero <at> openbravo.com>
Date: Tue Sep 01 16:34:22 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/417081417db5ed7cba8a98f4a656d9ee62a820e3 [^]

Fixed issue 30084: It is possible to skip the OBPOS_approval.deleteLine approval in several cases

Added the approval to delete lines where it was missing

---
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboardorder.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/scan.js
---
(0080081)
aaroncalero (developer)
2015-09-04 09:30

Related commit:
Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5a89f5cd698642c6d02f760e1f522387126ed628
Author: Aaron Calero <aaron.calero <at> openbravo.com>
Date: Wed Sep 02 11:36:58 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5a89f5cd698642c6d02f760e1f522387126ed628 [^] [^]
(0080394)
hgbot (developer)
2015-09-15 09:19

Repository: tools/automation/pi-mobile
Changeset: 5bcc3799b3702d9950d30276ee465f9dee9c6808
Author: Aaron Calero <aaron.calero <at> openbravo.com>
Date: Tue Sep 15 09:17:29 2015 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/5bcc3799b3702d9950d30276ee465f9dee9c6808 [^]

Related to issue 30084: Added automated test

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I30084_DeleteLinesApprovalNotSkipped.java
---

- Issue History
Date Modified Username Field Change
2015-06-03 16:35 aaroncalero New Issue
2015-06-03 16:35 aaroncalero Assigned To => aaroncalero
2015-06-03 16:35 aaroncalero Triggers an Emergency Pack => No
2015-06-03 17:11 aaroncalero Relationship added depends on 0030075
2015-06-04 12:49 aaroncalero File Added: issue30084.diff
2015-06-04 12:49 aaroncalero File Added: Test30084.diff
2015-06-04 13:44 aaroncalero Relationship added blocks 0030094
2015-06-11 14:08 eintelau Issue Monitored: eintelau
2015-09-04 09:16 hgbot Checkin
2015-09-04 09:16 hgbot Note Added: 0080065
2015-09-04 09:16 hgbot Status new => resolved
2015-09-04 09:16 hgbot Resolution open => fixed
2015-09-04 09:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/417081417db5ed7cba8a98f4a656d9ee62a820e3 [^]
2015-09-04 09:29 aaroncalero Review Assigned To => marvintm
2015-09-04 09:30 aaroncalero Note Added: 0080081
2015-09-15 09:19 hgbot Checkin
2015-09-15 09:19 hgbot Note Added: 0080394
2015-09-25 13:14 marvintm Status resolved => closed
2015-09-25 13:14 marvintm Fixed in Version => RR15Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker